{
	"default_field": [],
	"info": "run: tool/create_table_json_4d.lua",
	"group": [
		{
			"table_prefix": "por",
			"group": "manager/order/",
			"table_name_local": "order_row",
			"table_name": "purchase_order_row"
		},
		{
			"table_prefix": "ac",
			"group": "manager/bookkeeping/",
			"table_name_local": "bookkeeping_account",
			"table_name": "account"
		},
		{
			"table_prefix": "vo",
			"group": "manager/bookkeeping/",
			"table_name_local": "bookkeeping_voucher",
			"table_name": "voucher"
		},
		{
			"table_prefix": "vor",
			"group": "manager/bookkeeping/",
			"table_name_local": "bookkeeping_voucher_row",
			"table_name": "voucher_row"
		},
		{
			"table_prefix": "co",
			"group": "manager/company/",
			"table_name_local": "company",
			"record_type_local": "company",
			"table_name": "company"
		},
		{
			"table_prefix": "coad",
			"group": "manager/company/",
			"table_name_local": "company_address",
			"record_type_local": "company",
			"table_name": "company_address"
		},
		{
			"table_prefix": "cope",
			"group": "manager/person/",
			"table_name_local": "person",
			"record_type_local": "company",
			"table_name": "company_person"
		},
		{
			"table_prefix": "su",
			"group": "manager/company/",
			"table_name_local": "company",
			"record_type_local": "supplier",
			"table_name": "supplier"
		},
		{
			"table_prefix": "suad",
			"group": "manager/company/",
			"table_name_local": "company_address",
			"record_type_local": "supplier",
			"table_name": "supplier_address"
		},
		{
			"table_prefix": "supe",
			"group": "manager/person/",
			"table_name_local": "person",
			"record_type_local": "supplier",
			"table_name": "supplier_person"
		},
		{
			"table_prefix": "cur",
			"group": "manager/currency/",
			"table_name_local": "currency",
			"table_name": "currency"
		},
		{
			"table_prefix": "ap",
			"group": "manager/order/",
			"table_name_local": "order",
			"record_type_local": "accounts_payable",
			"table_name": "accounts_payable"
		},
		{
			"table_prefix": "appa",
			"group": "manager/order/",
			"table_name_local": "invoice_payment",
			"record_type_local": "accounts_payable",
			"table_name": "accounts_payable_payment"
		},
		{
			"table_prefix": "apr",
			"group": "manager/order/",
			"table_name_local": "order_row",
			"record_type_local": "accounts_payable",
			"table_name": "accounts_payable_row"
		},
		{
			"table_prefix": "inv",
			"group": "manager/order/",
			"table_name_local": "order",
			"record_type_local": "invoice",
			"table_name": "invoice"
		},
		{
			"group": "manager/order/",
			"table_name_local": "order",
			"record_type_local": "invoice",
			"table_name": "invoice"
		},
		{
			"table_prefix": "inpa",
			"group": "manager/order/",
			"table_name_local": "invoice_payment",
			"record_type_local": "invoice",
			"table_name": "invoice_payment"
		},
		{
			"table_prefix": "invr",
			"group": "manager/order/",
			"table_name_local": "order_row",
			"record_type_local": "invoice",
			"table_name": "invoice_row"
		},
		{
			"info": "prefix_external can be either invr or inr?",
			"record_type_local": "invoice",
			"table_name_local": "order_row",
			"group": "manager/order/",
			"table_name": "invoice_row"
		},
		{
			"table_prefix": "top",
			"group": "manager/order/",
			"table_name_local": "terms_of_payment",
			"table_name": "terms_of_payment"
		},
		{
			"table_prefix": "wcap",
			"group": "manager/resource/",
			"table_name_local": "capacity",
			"table_name": "work_capacity"
		},
		{
			"table_prefix": "wcr",
			"group": "manager/resource/",
			"table_name_local": "capacity_row",
			"record_type_local": "capacity",
			"table_name": "work_capacity_row"
		},
		{
			"table_prefix": "weff",
			"group": "manager/resource/",
			"table_name_local": "resource_effeciency",
			"record_type_local": "efficiency",
			"table_name": "work_efficiency"
		},
		{
			"table_prefix": "resr",
			"group": "manager/resource/",
			"table_name_local": "capacity_row",
			"record_type_local": "resource",
			"table_name": "resource_row"
		},
		{
			"table_prefix": "wlg",
			"group": "manager/resource/",
			"table_name_local": "resource",
			"record_type_local": "resource",
			"table_name": "work_load_group"
		},
		{
			"table_prefix": "dn",
			"group": "manager/order/",
			"table_name_local": "order",
			"record_type_local": "dispatch_note",
			"table_name": "dispatch_note"
		},
		{
			"table_prefix": "po",
			"group": "manager/order/",
			"table_name_local": "order",
			"record_type_local": "purchase",
			"table_name": "purchase_order"
		},
		{
			"table_prefix": "poc",
			"group": "manager/order/",
			"table_name_local": "order_code",
			"record_type_local": "purchase",
			"table_name": "purchase_order_code"
		},
		{
			"group": "manager/order/",
			"table_name_local": "order_row",
			"record_type_local": "purchase",
			"table_name": "purchase_order_row"
		},
		{
			"table_prefix": "so",
			"group": "manager/order/",
			"table_name_local": "order",
			"record_type_local": "sales",
			"table_name": "sales_order"
		},
		{
			"table_prefix": "soc",
			"group": "manager/order/",
			"table_name_local": "order_code",
			"record_type_local": "sales",
			"table_name": "sales_order_code"
		},
		{
			"table_prefix": "sor",
			"group": "manager/order/",
			"table_name_local": "order_row",
			"record_type_local": "sales",
			"table_name": "sales_order_row"
		},
		{
			"table_prefix": "wbl",
			"group": "manager/order/",
			"table_name_local": "waybill",
			"table_name": "waybill"
		},
		{
			"table_prefix": "em",
			"group": "manager/person/",
			"table_name_local": "person",
			"record_type_local": "employee",
			"table_name": "employee"
		},
		{
			"table_prefix": "pr",
			"group": "manager/product/",
			"table_name_local": "product",
			"record_type_local": "product",
			"table_name": "product"
		},
		{
			"table_prefix": "w",
			"group": "manager/product/",
			"table_name_local": "product",
			"record_type_local": "work",
			"table_name": "work"
		},
		{
			"table_prefix": "prna",
			"group": "manager/product/",
			"table_name_local": "product_language",
			"table_name": "product_name"
		},
		{
			"table_prefix": "wma",
			"group": "manager/product/",
			"table_name_local": "product_material",
			"record_type_local": "actual",
			"table_name": "work_material_actual"
		},
		{
			"table_prefix": "wme",
			"group": "manager/product/",
			"table_name_local": "product_material",
			"record_type_local": "estimated",
			"table_name": "work_material_estimated"
		},
		{
			"table_prefix": "wom",
			"group": "manager/product/",
			"table_name_local": "product_material",
			"record_type_local": "order",
			"table_name": "work_order_material"
		},
		{
			"table_prefix": "prsu",
			"group": "manager/product/",
			"table_name_local": "product_price",
			"record_type_local": "purchase",
			"table_name": "product_supplier"
		},
		{
			"table_prefix": "prpr",
			"group": "manager/product/",
			"table_name_local": "product_price",
			"record_type_local": "sales",
			"table_name": "product_price"
		},
		{
			"table_prefix": "stpa",
			"group": "manager/product/",
			"table_name_local": "stock",
			"table_name": "stock_parcel"
		},
		{
			"table_prefix": "wpa",
			"group": "manager/product/",
			"table_name_local": "product_work",
			"record_type_local": "actual",
			"table_name": "work_phase_actual"
		},
		{
			"table_prefix": "wpe",
			"group": "manager/product/",
			"table_name_local": "product_work",
			"record_type_local": "estimated",
			"table_name": "work_phase_estimated"
		},
		{
			"table_prefix": "wos",
			"group": "manager/product/",
			"table_name_local": "product_work",
			"record_type_local": "order",
			"table_name": "work_order_schedule"
		},
		{
			"table_prefix": "wo",
			"group": "manager/product/",
			"table_name_local": "production_order",
			"table_name": "work_order"
		},
		{
			"table_prefix": "rcl",
			"group": "manager/product/",
			"table_name_local": "reclamation",
			"table_name": "reclamation"
		},
		{
			"table_prefix": "st",
			"group": "manager/product/",
			"table_name_local": "stock",
			"table_name": "stock_event"
		},
		{
			"table_prefix": "af",
			"group": "manager/product/",
			"table_name_local": "",
			"table_name": "additional_field"
		},
		{
			"table_prefix": "prfi",
			"group": "manager/product/",
			"table_name_local": "",
			"table_name": "product_field"
		},
		{
			"table_prefix": "prj",
			"group": "manager/other/",
			"table_name_local": "",
			"table_name": "project"
		},
		{
			"table_prefix": "manu",
			"group": "manager/other/",
			"table_name_local": "",
			"table_name": "manual"
		},
		{
			"table_prefix": "res",
			"group": "manager/other/",
			"table_name_local": "",
			"table_name": "resource"
		},
		{
			"table_name_local": "",
			"group": "manager/other/",
			"table_name": "resource_row"
		},
		{
			"table_prefix": "soca",
			"group": "manager/bookkeeping/",
			"table_name_local": "",
			"table_name": "sales_order_code_account"
		},
		{
			"table_prefix": "todo",
			"group": "manager/other/",
			"table_name_local": "",
			"table_name": "to_do"
		},
		{
			"table_prefix": "wblr",
			"group": "manager/order/",
			"table_name_local": "",
			"table_name": "waybill_row"
		},
		{
			"error": "table definition file 'preference/table/external/4d/manager/bookkeeping/bookkeeping.json' does not exist",
			"table_prefix": "",
			"table_name": "bookkeeping",
			"group": "external/4d/manager/bookkeeping/"
		},
		{
			"error": "table definition file 'preference/table/external/4d/manager/bookkeeping/redirect.json' does not exist",
			"table_prefix": "",
			"table_name": "redirect",
			"group": "external/4d/manager/bookkeeping/"
		},
		{
			"error": "table definition file 'preference/table/external/4d/manager/order/order.json' does not exist",
			"table_prefix": "",
			"table_name": "order",
			"group": "external/4d/manager/order/"
		},
		{
			"error": "table definition file 'preference/table/external/4d/manager/other/other.json' does not exist",
			"table_prefix": "",
			"table_name": "other",
			"group": "external/4d/manager/other/"
		},
		{
			"error": "table definition file 'preference/table/external/4d/manager/other/not_in_use.json' does not exist",
			"table_prefix": "",
			"table_name": "not_in_use",
			"group": "external/4d/manager/other/"
		},
		{
			"error": "table definition file 'preference/table/external/4d/manager/person/person.json' does not exist",
			"table_prefix": "",
			"table_name": "person",
			"group": "external/4d/manager/person/"
		}
	],
	"prefix": {
		"account": "ac",
		"preference": "prf",
		"work_order": "wo",
		"product_supplier": "prsu",
		"accounts_payable_row": "apr",
		"user_account": "usr",
		"sales_order_row": "sor",
		"_link": "_lnk",
		"sales_order": "so",
		"waybill_row": "wblr",
		"invoice": "inv",
		"product_name": "prna",
		"employee": "em",
		"voucher_row": "vor",
		"invoice_row": "invr",
		"supplier_person": "supe",
		"to_do": "todo",
		"sequence_number": "seq",
		"dispatch_note": "dn",
		"work_material_estimated": "wme",
		"stock_event": "st",
		"db_message": "dbm",
		"info_log": "infol",
		"sales_order_code": "soc",
		"project": "prj",
		"invoice_payment": "inpa",
		"company_person": "cope",
		"work_order_material": "wom",
		"work_material_actual": "wma",
		"purchase_order_row": "por",
		"additional_field": "af",
		"_report": "_rep",
		"accounts_payable_payment": "appa",
		"waybill": "wbl",
		"product_price": "prpr",
		"work_efficiency": "weff",
		"reclamation": "rcl",
		"product": "pr",
		"resource_row": "resr",
		"purchase_order_code": "poc",
		"resource": "res",
		"work_order_schedule": "wos",
		"voucher": "vo",
		"work_load_group": "wlg",
		"currency": "cur",
		"sales_order_code_account": "soca",
		"supplier": "su",
		"work_capacity_row": "wcr",
		"work_phase_actual": "wpa",
		"stock_parcel": "stpa",
		"purchase_order": "po",
		"session": "ses",
		"product_field": "prfi",
		"company": "co",
		"work_phase_estimated": "wpe",
		"work": "w",
		"_change": "_cha",
		"manual": "manu",
		"accounts_payable": "ap",
		"supplier_address": "suad",
		"company_address": "coad",
		"terms_of_payment": "top",
		"work_capacity": "wcap",
		"result_cache": "rc"
	},
	"name": "table/external/4d/group_external.json"
}